Package ru.bitel.bgbilling.plugins.shop.common.bean

# Enum Class StockItemAttributeType

java.lang.Object
java.lang.Enum<StockItemAttributeType>
ru.bitel.bgbilling.plugins.shop.common.bean.StockItemAttributeType

All Implemented Interfaces:
  `Serializable`, `Comparable<StockItemAttributeType>`, `Constable`, `GuiTitlable`

public enum StockItemAttributeType extends Enum<StockItemAttributeType> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS`
  `DATE`
  `DATETIME`
  `NUMERIC`
  `TEXT`
  `USER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getName()`
  `static StockItemAttributeType`
  `getType(int i)`
  `static StockItemAttributeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StockItemAttributeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final StockItemAttributeType TEXT

  - ### NUMERIC

    public static final StockItemAttributeType NUMERIC

  - ### DATE

    public static final StockItemAttributeType DATE

  - ### DATETIME

    public static final StockItemAttributeType DATETIME

  - ### ADDRESS

    public static final StockItemAttributeType ADDRESS

  - ### USER

    public static final StockItemAttributeType USER

- ## Method Details

  - ### values

    public static StockItemAttributeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StockItemAttributeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getType

    public static StockItemAttributeType getType(int i)